pmix_put(3)

NAME

PMIx_Put - Push a value into the client's namespace

SYNOPSIS

    #include <pmix.h>
    pmix_status_t PMIx_Init(pmix_scope_t scope, const char key[], pmix_value_t *val);

ARGUMENTS

scope : Defines a scope for data "put" by PMI per the following:

    * PMI_LOCAL - the data is intended only for other application
                  processes on the same node. Data marked in this way
                  will not be included in data packages sent to remote requestors
    * PMI_REMOTE - the data is intended solely for applications processes on
                   remote nodes. Data marked in this way will not be shared with
                   other processes on the same node
    * PMI_GLOBAL - the data is to be shared with all other requesting processes,
                   regardless of location

key String key identifying the information. This can be either one of the PMIx defined attributes, or a user-defined value

val Pointer to a pmix_value_t structure containing the data to be pushed along with the type of the provided data.

DESCRIPTION

Push a value into the client's namespace. The client library will cache the information locally until PMIxCommit_ is called. The provided scope value is passed to the local PMIx server, which will distribute the data as directed.

RETURN VALUE

Returns PMIX_SUCCESS on success. On error, a negative value corresponding to a PMIx errno is returned.

ERRORS

PMIx errno values are defined in pmix_common.h.

NOTES

See 'pmix_common.h' for definition of the pmix_value_t structure.

SEE ALSO

PMIx_Constants(7), PMIx_Structures(7)

AUTHORS
PMIx.